#include <bits/stdc++.h>
using namespace std;

int main(){
	int N;
	int L = 0, R;
	cin>>N;
	long int A[N];
	long int B[N];	
	long int najveci = 0;
	long int brojA;
	long int brojB;
	for(int i = 0; i<N; i++){
		cin>>A[i];
	}
	for(int i = 0; i<N; i++){
		cin>>B[i];
	}
	while(L<=N)
	{
		R = L;
		brojA = 0;
		brojB = B[L];
		while(R<=N){
			brojA ^= A[R];
			brojB &= B[R];
			if((brojA*brojB)>najveci) najveci = brojA*brojB;
			R++;
		}
		L++;
	}
	cout<<najveci;
	
}